%undefine _auto_set_build_flags
%undefine __brp_mangle_shebangs

Name:           sgxsdk
Version:        2.18.100.0
Release:        1%{?dist}
Summary:        Intel(R) SGX SDK

# The entire source code is BSD, except some Intel signed binaries
# include libsgx_{qve,tdqe,id_enclave,pce,qe3,le,qe,pve}.signed.so are
# Intel "redistributable without modification" binary license, and
# some third party projects are under other licenses in License.txt.
License:        BSD and "Redistributable, no modification permitted" and MIT and ASL 2.0 and NCSA/MIT and CC0 and FBSDDL and BSD and OpenSSL and zlib and GPL and BSD/GPLv2 and EPL-1.0
URL:            https://github.com/intel/linux-sgx
Source0:        https://download.01.org/intel-sgx/rpm_onespec/sgxsdk-%{version}.tar.gz

Requires: binutils
Requires: gdb

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: binutils
BuildRequires: libtool
BuildRequires: gcc
BuildRequires: gcc-c++
BuildRequires: make
BuildRequires: cmake
BuildRequires: ocaml
BuildRequires: ocaml-ocamlbuild
BuildRequires: redhat-rpm-config
BuildRequires: openssl-devel
BuildRequires: protobuf-compiler
BuildRequires: protobuf-devel
BuildRequires: libcurl-devel
BuildRequires: python3-devel
BuildRequires: perl-generators
BuildRequires: perl-interpreter
BuildRequires: perl-devel
BuildRequires: perl(FindBin)
BuildRequires: perl(lib)
BuildRequires: nasm

# SGX is a feature supported and verified on x86_64 only.
ExclusiveArch: x86_64

%description
The Intel(R) SGX SDK is a collection of APIs, libraries, documentation, sample source code, and tools that allows software developers to create and debug Intel(R) SGX enabled applications in C/C++.

%package -n sgxsdk-samples
Summary:        Intel(R) SGX SDK Sample Code
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release} libsgx-urts >= %{version}-%{release} libsgx-enclave-common >= %{version}-%{release}

%description -n sgxsdk-samples
Intel(R) Software Guard Extensions SDK Sample Code for Developers

%prep
%setup -qc

%build
%make_build

%install
%make_install

%files
%license License.txt
%{_bindir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/sgx-gdb-plugin
%{_includedir}/sgxsdk
%{_prefix}/lib/sgxsdk
%{_datadir}/sgxsdk
%exclude %{_datadir}/sgxsdk/SampleCode

%files -n sgxsdk-samples
%{_datadir}/sgxsdk/SampleCode

%changelog
%autochangelog
